/*
Copyright 2010 Grégory Soutadé

This file is part of KissCount.

KissCount is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

KissCount is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "main.h"

class MyApp: public wxApp
{
  virtual bool OnInit()
  {
    try
      {
	new KissCount();
      }
    catch (std::string s)
      {
	std::cerr << "Error " << s << "\n";
	return false;
      }
    
    return true;
  }
};

IMPLEMENT_APP(MyApp);

// bool MyApp::OnInit()
// {
//     Main app;

//     MyFrame *frame = new MyFrame( _("Hello World"), wxPoint(50, 50), wxSize(1024, 768) );
//     AccountPanel* f = new AccountPanel(frame);
//     frame->Show(true);
//     SetTopWindow(frame);

//     frame->Centre();
//     frame->Disable();

//     try
//     {
// 	app.Init();
//     }
//     catch (std::string s)
//     {
// 	std::cout << "Error " << s << "\n";
// 	frame->Close(true);
//     }
//     frame->Enable();
//     return true;
// }
